package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag996;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT996Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT996Creator mt996Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt996Creator= (MT996Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt996Creator.getTransactionReferenceNumber();
        mt996Creator.set("20", tag20Value);
    }
}
